$('#uphoto1').css({
	'width': '200px',
	'display': 'none'
});
$('#uzf,.manFlAvaFile,#tb_gtype_1,#tb_gtype_2').show();
$.fn.jclock = function (options) {
	var version = '2.3.2';
	var opts = $.extend({},
	$.fn.jclock.defaults, options);
	return this.each(function () {
		$this = $(this);
		$this.timerID = null;
		$this.running = false;
		$this.increment = 0;
		$this.lastCalled = new Date().getTime();
		var o = $.meta ? $.extend({},
		opts, $this.data()) : opts;
		$this.format = o.format;
		$this.utc = o.utc;
		$this.utcOffset = (o.utc_offset != null) ? o.utc_offset: o.utcOffset;
		$this.seedTime = o.seedTime;
		$this.timeout = o.timeout;
		$this.css({
			fontFamily: o.fontFamily,
			fontSize: o.fontSize,
			backgroundColor: o.background,
			color: o.foreground
		});
		$this.daysAbbrvNames = new Array(7);
		$this.daysAbbrvNames[0] = "Sun";
		$this.daysAbbrvNames[1] = "Mon";
		$this.daysAbbrvNames[2] = "Tue";
		$this.daysAbbrvNames[3] = "Wed";
		$this.daysAbbrvNames[4] = "Thu";
		$this.daysAbbrvNames[5] = "Fri";
		$this.daysAbbrvNames[6] = "Sat";
		$this.daysFullNames = new Array(7);
		$this.daysFullNames[0] = "Sunday";
		$this.daysFullNames[1] = "Monday";
		$this.daysFullNames[2] = "Tuesday";
		$this.daysFullNames[3] = "Wednesday";
		$this.daysFullNames[4] = "Thursday";
		$this.daysFullNames[5] = "Friday";
		$this.daysFullNames[6] = "Saturday";
		$this.monthsAbbrvNames = new Array(12);
		$this.monthsAbbrvNames[0] = "Jan";
		$this.monthsAbbrvNames[1] = "Feb";
		$this.monthsAbbrvNames[2] = "Mar";
		$this.monthsAbbrvNames[3] = "Apr";
		$this.monthsAbbrvNames[4] = "May";
		$this.monthsAbbrvNames[5] = "Jun";
		$this.monthsAbbrvNames[6] = "Jul";
		$this.monthsAbbrvNames[7] = "Aug";
		$this.monthsAbbrvNames[8] = "Sep";
		$this.monthsAbbrvNames[9] = "Oct";
		$this.monthsAbbrvNames[10] = "Nov";
		$this.monthsAbbrvNames[11] = "Dec";
		$this.monthsFullNames = new Array(12);
		$this.monthsFullNames[0] = "January";
		$this.monthsFullNames[1] = "February";
		$this.monthsFullNames[2] = "March";
		$this.monthsFullNames[3] = "April";
		$this.monthsFullNames[4] = "May";
		$this.monthsFullNames[5] = "June";
		$this.monthsFullNames[6] = "July";
		$this.monthsFullNames[7] = "August";
		$this.monthsFullNames[8] = "September";
		$this.monthsFullNames[9] = "October";
		$this.monthsFullNames[10] = "November";
		$this.monthsFullNames[11] = "December";
		$.fn.jclock.startClock($this)
	})
};
$.fn.jclock.startClock = function (el) {
	$.fn.jclock.stopClock(el);
	$.fn.jclock.displayTime(el)
};
$.fn.jclock.stopClock = function (el) {
	if (el.running) {
		clearTimeout(el.timerID)
	}
	el.running = false
};
$.fn.jclock.displayTime = function (el) {
	var time = $.fn.jclock.currentTime(el);
	var formatted_time = $.fn.jclock.formatTime(time, el);
	el.attr('currentTime', time.getTime());
	el.html(formatted_time);
	el.timerID = setTimeout(function () {
		$.fn.jclock.displayTime(el)
	},
	el.timeout)
};
$.fn.jclock.currentTime = function (el) {
	if (typeof(el.seedTime) == 'undefined') {
		var now = new Date()
	} else {
		el.increment += new Date().getTime() - el.lastCalled;
		var now = new Date(el.seedTime + el.increment);
		el.lastCalled = new Date().getTime()
	}
	if (el.utc == true) {
		var localTime = now.getTime();
		var localOffset = now.getTimezoneOffset() * 60000;
		var utc = localTime + localOffset;
		var utcTime = utc + (3600000 * el.utcOffset);
		var now = new Date(utcTime)
	}
	return now
};
$.fn.jclock.formatTime = function (time, el) {
	var timeNow = "";
	var i = 0;
	var index = 0;
	while ((index = el.format.indexOf("%", i)) != -1) {
		timeNow += el.format.substring(i, index);
		index++;
		var property = $.fn.jclock.getProperty(time, el, el.format.charAt(index));
		index++;
		timeNow += property;
		i = index
	}
	timeNow += el.format.substring(i);
	return timeNow
};
$.fn.jclock.getProperty = function (dateObject, el, property) {
	switch (property) {
	case "a":
		return (el.daysAbbrvNames[dateObject.getDay()]);
	case "A":
		return (el.daysFullNames[dateObject.getDay()]);
	case "b":
		return (el.monthsAbbrvNames[dateObject.getMonth()]);
	case "B":
		return (el.monthsFullNames[dateObject.getMonth()]);
	case "d":
		return ((dateObject.getDate() < 10) ? "0": "") + dateObject.getDate();
	case "H":
		return ((dateObject.getHours() < 10) ? "0": "") + dateObject.getHours();
	case "I":
		var hours = (dateObject.getHours() % 12 || 12);
		return ((hours < 10) ? "0": "") + hours;
	case "l":
		var hours = (dateObject.getHours() % 12 || 12);
		return hours;
	case "m":
		return (((dateObject.getMonth() + 1) < 10) ? "0": "") + (dateObject.getMonth() + 1);
	case "M":
		return ((dateObject.getMinutes() < 10) ? "0": "") + dateObject.getMinutes();
	case "p":
		return (dateObject.getHours() < 12 ? "am": "pm");
	case "P":
		return (dateObject.getHours() < 12 ? "AM": "PM");
	case "S":
		return ((dateObject.getSeconds() < 10) ? "0": "") + dateObject.getSeconds();
	case "y":
		return dateObject.getFullYear().toString().substring(2);
	case "Y":
		return (dateObject.getFullYear());
	case "%":
		return "%"
	}
};
$.fn.jclock.defaults = {
	format: '%H:%M:%S',
	utcOffset: 0,
	utc: false,
	fontFamily: '',
	fontSize: '',
	foreground: '',
	background: '',
	seedTime: undefined,
	timeout: 1000
};
var imgPath = 'images/';
$.fn.niceform = function () {
	if ($.browser.msie && parseFloat($.browser.version) < 8) {
		return
	} else {
		var opts = $.extend({},
		$.fn.niceform.defaults);
		$.fn.niceform.styles();
		return this.each(function () {
			var selfForm = $(this);
			if (selfForm.hasClass('utTransformdone')) {
				return
			}
			selfForm.addClass('utTransformdone');
			$('input:file').filestyle();
			$('input:checkbox').checkbox({
				cls: 'checkbox'
			});
			$('input:radio').checkbox({
				cls: 'radio'
			});
			$('input:submit, input:reset, input:button, button', this).jqTransInputButton();
			$('input:text, input:password', this).jqTransInputText();
			$('textarea', this).jqTransTextarea();
			if ($('select', this).jqTransSelect().length > 0) {
				utTransformAddDocumentListener()
			}
			selfForm.bind('reset', function () {
				var action = function () {
					utTransformReset(this)
				};
				window.setTimeout(action, 10)
			})
		})
	}
};
$.fn.niceform.styles = function () {
	var opts = $.extend({},
	$.fn.niceform.defaults);
	$('head').append('<style type="text/css">.checkbox {cursor:pointer;}.checkbox .mark {width:' + opts.chW + 'px;padding:0 ' + opts.inpC / 2 + 'px 0 0;}.checkbox img {width:' + opts.chW + 'px;height:' + opts.chH + 'px;vertical-align:middle;background:url(' + homeurl + opts.niceFolder + 'checkbox.png) 0 0 no-repeat;position:relative;margin:0;}.checkbox-hover img{background-position:-' + opts.chW + 'px 0;}.checkbox-checked img{background-position:0 -' + opts.chH + 'px;}.checkbox-checked .checkbox-hover img {background-position:-' + opts.chW + 'px -' + opts.chH + 'px;}.checkbox-disabled img{background-position:0 -' + opts.chH * 2 + 'px;}.checkbox-checked .checkbox-disabled img{background-position:0 -' + opts.chH * 3 + 'px;}.radio {cursor:pointer;}.radio .mark {width:' + opts.raW + 'px;padding:0 ' + opts.inpC / 2 + 'px 0 0;}.radio img {width:' + opts.raW + 'px;height:' + opts.raH + 'px;position:relative;margin:0;vertical-align:middle;background:url(' + homeurl + opts.niceFolder + 'radio.png) 0 0 no-repeat;}.radio-hover img{background-position:-' + opts.raW + 'px 0;}.radio-checked img{background-position:0 -' + opts.raH + 'px;}.radio-checked .radio-hover img {background-position:-' + opts.raW + 'px -' + opts.raH + 'px;}.radio-disabled img{background-position:0 -' + opts.raH * 2 + 'px;}.radio-checked .radio-disabled img{background-position:0 -' + opts.raH * 3 + 'px;}button.uttb {margin:0;padding:0;position:relative;border:none;background-color:transparent;cursor:pointer;overflow:visible;white-space:nowrap;color:' + opts.butCol + ';}button.uttb .butimg {vertical-align:middle;}button.uttb .uttbl {position:absolute;bottom:0;left:0;background:url(' + homeurl + opts.niceFolder + 'btn.png) 0 0 no-repeat;z-index:1;}button.uttb .uttbr {position:absolute;bottom:0;background:url(' + homeurl + opts.niceFolder + 'btn.png) right -' + opts.butH + 'px no-repeat;z-index:2;}button.uttb .uttbm {position:absolute;bottom:0;left:' + opts.butOp + 'px;overflow:hidden;background:' + opts.butBg + ' url(' + homeurl + opts.niceFolder + 'btn.png) -' + opts.butOp + 'px 0 no-repeat;display:block;padding:0;height:' + opts.butH + 'px;line-height:' + opts.butH + 'px;color:' + opts.butCol + ';text-shadow:1px 1px 0 ' + opts.butShad + ';font-size:' + opts.butFs + 'px;z-index:3;text-align:center;}button.uttb_hover {color:' + opts.butHCol + ';}button.uttb_hover .uttbl {background-position:0 -' + opts.butH * 2 + 'px;}button.uttb_hover .uttbr {background-position:right -' + opts.butH * 3 + 'px;}button.uttb_hover .uttbm {background-position:-' + opts.butOp + 'px -' + opts.butH * 2 + 'px;background-color:' + opts.butHBg + ';color:' + opts.butHCol + ';text-shadow:1px 1px 0 ' + opts.butHShad + ';}.uttexw textarea{font-size:' + opts.inpFs + 'px;padding:0;margin:0;border:0;background:none;color:' + opts.inpColor + ';}.uttt-tl{background:url(' + homeurl + opts.niceFolder + 'textarea-corn.png) 0 0 no-repeat;}.uttt-tm{background:url(' + homeurl + opts.niceFolder + 'textarea-hor.png) 0 0 repeat-x;}.uttt-tr{background:url(' + homeurl + opts.niceFolder + 'textarea-corn.png) -' + opts.inpC + 'px 0 no-repeat;}.uttt-ml{background:url(' + homeurl + opts.niceFolder + 'textarea-ver.png) 0 0 repeat-y;}.uttt-mm{background:' + opts.inpBGcolor + ' url(' + homeurl + opts.niceFolder + 'textarea.png) 0 0 repeat;}.uttt-mr{background:url(' + homeurl + opts.niceFolder + 'textarea-ver.png) -' + opts.inpC + 'px 0 repeat-y;}.uttt-bl{background:url(' + homeurl + opts.niceFolder + 'textarea-corn.png) 0 -' + opts.inpC + 'px no-repeat;}.uttt-bm{background:url(' + homeurl + opts.niceFolder + 'textarea-hor.png) 0 -' + opts.inpC + 'px repeat-x;}.uttt-br{background:url(' + homeurl + opts.niceFolder + 'textarea-corn.png) -' + opts.inpC + 'px -' + opts.inpC + 'px no-repeat;}.uttiw span {display:inline-block;position:relative;height:' + opts.inpH + 'px;}.uttimg {height:' + opts.inpH + 'px;vertical-align:middle;}.uttil {padding:0;margin:0;background:url(' + homeurl + opts.niceFolder + 'text-input.png) 0 0 no-repeat;height:' + opts.inpH + 'px;position:absolute;left:0;bottom:0;z-index:1;}.uttir {padding:0;margin:0;background:url(' + homeurl + opts.niceFolder + 'text-input.png) right -' + opts.inpH + 'px no-repeat;height:' + opts.inpH + 'px;position:absolute;right:0;bottom:0;z-index:2;}.uttiw input {position:absolute;padding:0;height:' + opts.inpH + 'px;line-height:' + opts.inpH + 'px;border:none;font-size:' + opts.inpFs + 'px!important;color:' + opts.inpColor + '!important;bottom:0;left:' + opts.inpC + 'px;z-index:3;background:' + opts.inpBGcolor + ' url(' + homeurl + opts.niceFolder + 'text-input.png) -' + opts.inpC + 'px 0 no-repeat;}.uttsb{position:relative;display:inline-block;height:' + opts.inpH + 'px;}.uttsw img {height:' + opts.inpH + 'px;vertical-align:middle;}.uttsim {position:absolute;background:url(' + homeurl + opts.niceFolder + 'select.png) 0 0 no-repeat;height:' + opts.inpH + 'px;left:0;bottom:0;z-index:11;}.uttsi {color:' + opts.inpColor + ';position:absolute;height:' + opts.inpH + 'px;line-height:' + opts.inpH + 'px;border:none;font-size:' + opts.inpFs + 'px;left:' + opts.inpC + 'px;bottom:0;background:' + opts.inpBGcolor + ' url(' + homeurl + opts.niceFolder + 'select.png) -' + opts.inpC + 'px 0 no-repeat;overflow:hidden;right:' + opts.selB + 'px;z-index:12;cursor:pointer;}.uttsw a.uttso {display:block;position:absolute;right:0;bottom:0;height:' + opts.inpH + 'px;overflow:hidden;background:url(' + homeurl + opts.niceFolder + 'select.png) right -' + opts.inpH + 'px no-repeat;font-size:' + opts.inpFs + 'px;line-height:' + opts.inpH + 'px;width:' + opts.selB + 'px;z-index:13;}.uttsw a.uttso:hover {background-position:right -' + opts.inpH * 2 + 'px;}.uttsw ul{position:absolute;left:0;top:' + opts.inpH + 'px;list-style:none;display:none;margin:0;padding:1px;height:150px;overflow:auto;z-index:20;line-height:normal;background:' + opts.inpBGcolor + ';border:1px solid ' + opts.selBd + ';border-radius:' + opts.selBdr + 'px;-moz-border-radius:' + opts.selBdr + 'px;-webkit-border-radius:' + opts.selBdr + 'px;}.uttsw ul a {display:block!important;padding:2px 5px!important;font-size:' + opts.inpFs + 'px!important;text-decoration:none!important;background:none!important;text-shadow:none!important;color:' + opts.inpColor + '!important;}.uttsw ul li {background:none!important;border:none!important;padding:0!important;margin:0!important;}.uttsw ul a.selected,.uttsw ul a:hover, .uttsw ul a.selected:hover {background:' + opts.butHBg + '!important;color:' + opts.butHCol + '!important;border-radius:' + opts.selBdr + 'px!important;-moz-border-radius:' + opts.selBdr + 'px!important;-webkit-border-radius:' + opts.selBdr + 'px!important;}.utth {display: none;}.sel-mult {background:' + opts.inpBGcolor + ';border:1px solid ' + opts.selBd + ';color:' + opts.inpColor + ';border-radius:' + opts.selBdr + 'px;-moz-border-radius:' + opts.selBdr + 'px;-webkit-border-radius:' + opts.selBdr + 'px;}.fileb {position:relative;display:inline-block;}.fileb .fileimg{vertical-align:middle;}.fileinput .flinimg {background:url(' + homeurl + opts.niceFolder + 'choose-file.png) 0 0 no-repeat;position:absolute;z-index:1;left:0;bottom:0;}.fileinput .filebtn {background:url(' + homeurl + opts.niceFolder + 'choose-file.png) right -' + opts.inpH + 'px no-repeat;position:absolute;z-index:3;right:0;bottom:0;overflow:hidden;cursor:pointer;height:' + opts.inpH + 'px;width:' + opts.fileB + 'px;font-size:' + opts.inpFs + 'px;line-height:normal;}.fileinput .filehover {background-position:right -' + opts.inpH * 2 + 'px;}.fileinput .chs-file {background:' + opts.inpBGcolor + ' url(' + homeurl + opts.niceFolder + 'choose-file.png) -' + opts.inpC + 'px 0 no-repeat;border:none;color:' + opts.inpColor + ';position:absolute;padding:0;margin:0;z-index:2;bottom:0;left:' + opts.inpC + 'px;height:' + opts.inpH + 'px;line-height:' + opts.inpH + 'px;font-size:' + opts.inpFs + 'px;}.fileinput .filebtn input {position:absolute;z-index:3;height:' + opts.inpH + 'px;width:' + opts.fileB + 'px;cursor:pointer;right:0;bottom:0;}</style>')
};
var chbx = function (e) {
	if (!e) var e = window.event;
	e.cancelBubble = true;
	if (e.stopPropagation) e.stopPropagation()
};
$.fn.checkbox = function (f) {
	var opts = $.extend({},
	$.fn.niceform.defaults);
	try {
		document.execCommand('BackgroundImageCache', false, true)
	} catch(e) {}
	var g = {
		cls: 'jquery-checkbox',
		empty: opts.spacerImg
	};
	g = $.extend(g, f || {});
	var h = function (a) {
		var b = a.checked;
		var c = a.disabled;
		var d = $(a);
		if (a.stateInterval) clearInterval(a.stateInterval);
		a.stateInterval = setInterval(function () {
			if (a.disabled != c) d.trigger((c = !!a.disabled) ? 'disable': 'enable');
			if (a.checked != b) d.trigger((b = !!a.checked) ? 'check': 'uncheck')
		},
		10);
		return d
	};
	return this.each(function () {
		var a = this;
		var b = h(a);
		if (a.wrapper) a.wrapper.remove();
		a.wrapper = $('<span class="' + g.cls + '"><span class="mark"><img src="' + homeurl + opts.niceFolder + g.empty + '" title="' + b.attr('title') + '" /></span></span>');
		a.wrapperInner = a.wrapper.children('span:eq(0)');
		a.wrapper.hover(function (e) {
			a.wrapperInner.addClass(g.cls + '-hover');
			chbx(e)
		},
		function (e) {
			a.wrapperInner.removeClass(g.cls + '-hover');
			chbx(e)
		});
		b.css({
			position: 'absolute',
			zIndex: -1,
			visibility: 'hidden'
		}).after(a.wrapper);
		var c = false;
		if (b.attr('id')) {
			c = $('label[for=' + b.attr('id') + ']');
			if (!c.length) c = false
		}
		if (!c) {
			c = b.closest ? b.closest('label') : b.parents('label:eq(0)');
			if (!c.length) c = false
		}
		if (c) {
			c.hover(function (e) {
				a.wrapper.trigger('mouseover', [e])
			},
			function (e) {
				a.wrapper.trigger('mouseout', [e])
			});
			c.click(function (e) {
				b.trigger('click', [e]);
				chbx(e);
				return false
			})
		}
		a.wrapper.click(function (e) {
			b.trigger('click', [e]);
			chbx(e);
			return false
		});
		b.click(function (e) {
			chbx(e)
		});
		b.bind('disable', function () {
			a.wrapperInner.addClass(g.cls + '-disabled')
		}).bind('enable', function () {
			a.wrapperInner.removeClass(g.cls + '-disabled')
		});
		b.bind('check', function () {
			a.wrapper.addClass(g.cls + '-checked')
		}).bind('uncheck', function () {
			a.wrapper.removeClass(g.cls + '-checked')
		});
		$('img', a.wrapper).bind('dragstart', function () {
			return false
		}).bind('mousedown', function () {
			return false
		});
		if (window.getSelection) a.wrapper.css('MozUserSelect', 'none');
		if (a.checked) a.wrapper.addClass(g.cls + '-checked');
		if (a.disabled) a.wrapperInner.addClass(g.cls + '-disabled')
	})
};
var defaultOptions = {
	preloadImg: true
};
var utTransformImgPreloaded = false;
var utTransformPreloadHoverFocusImg = function (strImgUrl) {
	strImgUrl = strImgUrl.replace(/^url\((.*)\)/, '$1').replace(/^\"(.*)\"$/, '$1');
	var imgHover = new Image();
	imgHover.src = strImgUrl.replace(/\.([a-zA-Z]*)$/, '-hover.$1');
	var imgFocus = new Image();
	imgFocus.src = strImgUrl.replace(/\.([a-zA-Z]*)$/, '-focus.$1')
};
var utTransformGetLabel = function (objfield) {
	var selfForm = $(objfield.get(0).form);
	var oLabel = objfield.next();
	if (!oLabel.is('label')) {
		oLabel = objfield.prev();
		if (oLabel.is('label')) {
			var inputname = objfield.attr('id');
			if (inputname) {
				oLabel = selfForm.find('label[for="' + inputname + '"]')
			}
		}
	}
	if (oLabel.is('label')) {
		return oLabel.css('cursor', 'pointer')
	}
	return false
};
var utTransformHideSelect = function (oTarget) {
	var ulVisible = $('.uttsw ul:visible');
	ulVisible.each(function () {
		var oSelect = $(this).parents(".uttsw:first").find("select").get(0);
		if (! (oTarget && oSelect.oLabel && oSelect.oLabel.get(0) == oTarget.get(0))) {
			$(this).hide()
		}
	})
};
var utTransformCheckExternalClick = function (event) {
	if ($(event.target).parents('.uttsw').length === 0) {
		utTransformHideSelect($(event.target))
	}
};
var utTransformAddDocumentListener = function () {
	$(document).mousedown(utTransformCheckExternalClick)
};
var utTransformReset = function (f) {
	var sel;
	$('.uttsw select', f).each(function () {
		sel = (this.selectedIndex < 0) ? 0 : this.selectedIndex;
		$('ul', $(this).parent()).each(function () {
			$('a:eq(' + sel + ')', this).click()
		})
	})
};
$.fn.jqTransInputButton = function () {
	var opts = $.extend({},
	$.fn.niceform.defaults);
	return this.each(function () {
		var newbutW = $(this).width();
		var newBtn = $('<button id="' + this.id + '" name="' + this.name + '" type="' + this.type + '" class="' + this.className + ' uttb" title="' + $(this).attr('title') + '"><img class="butimg" src="' + homeurl + opts.niceFolder + opts.spacerImg + '" width="' + (newbutW + opts.butOp * 2 + 6) + '" height="' + opts.butH + '" /><img class="uttbl" src="' + homeurl + opts.niceFolder + opts.spacerImg + '" width="' + (newbutW + opts.butOp + 6) + '" height="' + opts.butH + '" /><img class="uttbr" src="' + homeurl + opts.niceFolder + opts.spacerImg + '" width="' + opts.butOp + '" height="' + opts.butH + '" style="left:' + (newbutW + opts.butOp + 6) + 'px" /><span class="uttbm" style="width:' + (newbutW + 6) + 'px;">' + $(this).attr('value') + '</span></button>').hover(function () {
			newBtn.addClass('uttb_hover')
		},
		function () {
			newBtn.removeClass('uttb_hover')
		}).mousedown(function () {
			newBtn.addClass('uttb_click')
		}).mouseup(function () {
			newBtn.removeClass('uttb_click')
		});
		if ($.browser.mozilla) {
			newBtn.addClass('uttb_foxy')
		}
		$(newBtn).click($(this)[0].onclick);
		$(this).replaceWith(newBtn)
	})
};
$.fn.jqTransInputText = function () {
	var opts = $.extend({},
	$.fn.niceform.defaults);
	return this.each(function () {
		var $input = $(this);
		var inpW = $input.width();
		if ($input.hasClass('jqtranformdone') || !$input.is('input')) {
			return
		}
		$input.addClass('jqtranformdone');
		var oLabel = utTransformGetLabel($(this));
		oLabel && oLabel.bind('click', function () {
			$input.focus()
		});
		$input.css({
			'width': inpW - opts.inpC * 2
		});
		var inWrap = $('<span class="uttiw"><span style="width:' + inpW + 'px;"></span></span>');
		var inImg = $('<img class="uttimg" src="' + homeurl + opts.niceFolder + opts.spacerImg + '" width="' + inpW + '" />');
		var inIl = $('<img class="uttil" src="' + homeurl + opts.niceFolder + opts.spacerImg + '" width="' + (inpW - opts.inpC) + '" />');
		var inIr = $('<img class="uttir" src="' + homeurl + opts.niceFolder + opts.spacerImg + '" width="' + opts.inpC + '" />');
		$input.addClass("utTransformInput").wrap(inWrap).before(inImg).before(inIl).after(inIr);
		if ($input.is(":hidden")) {
			$input.closest('.uttiw').hide()
		}
		$input.focus(function () {
			inWrap.addClass("uttiw_focus")
		}).blur(function () {
			inWrap.removeClass("uttiw_focus")
		}).hover(function () {
			inWrap.addClass("uttiw_hover")
		},
		function () {
			inWrap.removeClass("uttiw_hover")
		})
	})
};
$.fn.jqTransTextarea = function () {
	var opts = $.extend({},
	$.fn.niceform.defaults);
	return this.each(function () {
		var textarea = $(this);
		if (textarea.hasClass('utTransformdone')) {
			return
		}
		var texW = textarea.width();
		textarea.addClass('utTransformdone').css({
			'width': texW - opts.inpC * 2
		});
		oLabel = utTransformGetLabel(textarea);
		oLabel && oLabel.click(function () {
			textarea.focus()
		});
		var strTable = '<table width=' + texW + ' cellspacing="0" cellpadding="0" border="0" class="uttt">';
		strTable += '<tr><td class="uttt-tl" width="' + opts.inpC + '" height="' + opts.inpC + '"></td><td class="uttt-tm"></td><td class="uttt-tr" width="' + opts.inpC + '"></td></tr>';
		strTable += '<tr><td class="uttt-ml" width="' + opts.inpC + '">&nbsp;</td><td class="uttt-mm"><div></div></td><td class="uttt-mr" width="' + opts.inpC + '">&nbsp;</td></tr>';
		strTable += '<tr><td class="uttt-bl" width="' + opts.inpC + '" height="' + opts.inpC + '"></td><td class="uttt-bm"></td><td class="uttt-br" width="' + opts.inpC + '"></td></tr>';
		strTable += '</table>';
		var oTable = $(strTable).insertAfter(textarea).wrap('<div class="uttexw" style="width:' + texW + 'px;"></div>').hover(function () { ! oTable.hasClass('uttt-focus') && oTable.addClass('uttt-hover')
		},
		function () {
			oTable.removeClass('uttt-hover')
		});
		textarea.focus(function () {
			oTable.removeClass('uttt-hover').addClass('uttt-focus')
		}).blur(function () {
			oTable.removeClass('uttt-focus')
		}).appendTo($('.uttt-mm div', oTable));
		this.oTable = oTable
	})
};
$.fn.jqTransSelect = function () {
	var opts = $.extend({},
	$.fn.niceform.defaults);
	return this.each(function (index) {
		var $select = $(this);
		var selW = $select.width();
		if ($select.hasClass('utth')) {
			return
		}
		if ($select.attr('multiple')) {
			$select.addClass('sel-mult');
			return
		}
		if ($select.attr('name') == 'by' || $select.attr('name') == 'bm' || $select.attr('name') == 'bd') {
			$select.removeAttr('onchange')
		}
		var oLabel = utTransformGetLabel($select);
		var $selW = $select.addClass('utth').wrap('<span class="uttsw"><span class="uttsb" style="width:' + (selW + opts.inpC + opts.selB) + 'px;"></span></span>').parent();
		var $selImg = $('<img src="' + homeurl + opts.niceFolder + opts.spacerImg + '" width="' + (selW + opts.inpC + opts.selB) + '" />');
		var $selWl = $('<img src="' + homeurl + opts.niceFolder + opts.spacerImg + '" width="' + (selW + opts.inpC) + '" class="uttsim" />');
		var $selWi = $('<span class="uttsi"></span>').css({
			'width': selW
		});
		var $selB = $('<a href="#" class="uttso"></a>');
		var $selUl = $('<ul></ul>');
		$selW.prepend($selUl).prepend($selB).prepend($selWi).prepend($selWl).prepend($selImg);
		var $ul = $('ul', $selW).css('width', selW + opts.selB).hide();
		$('option', this).each(function (i) {
			var oLi = $('<li><a href="#" index="' + i + '">' + $(this).html() + '</a></li>');
			$ul.append(oLi)
		});
		$ul.find('a').click(function () {
			if ($select.hasClass('codeButtons')) {
				$('a.selected', $selW).removeClass('selected');
				$('a:eq(0)', $ul).addClass('selected')
			} else {
				$('a.selected', $selW).removeClass('selected');
				$(this).addClass('selected')
			};
			if ($select.hasClass('codeButtons')) {
				if ($select[0].selectedIndex != $(this).attr('index') && $select[0].onchange) {
					$select[0].selectedIndex = $(this).attr('index');
					$select[0].onchange()
				}
			} else {
				if ($select[0].selectedIndex != $(this).attr('index') && $select[0].onchange) {
					$select[0].selectedIndex = $(this).attr('index');
					$select[0].onchange()
				}
				$select[0].selectedIndex = $(this).attr('index')
			};
			if ($select.hasClass('codeButtons')) {
				$('span:eq(0)', $selW).html($('a:eq(0)', $ul).html())
			} else {
				$('span:eq(0)', $selW).html($(this).html())
			};
			$ul.hide();
			return false
		});
		$('a:eq(' + this.selectedIndex + ')', $ul).click();
		$('span:eq(0)', $selW).click(function () {
			$("a.uttso", $selW).trigger('click')
		});
		oLabel && oLabel.click(function () {
			$("a.uttso", $selW).trigger('click')
		});
		this.oLabel = oLabel;
		var oLinkOpen = $('a.uttso', $selW).click(function () {
			if ($ul.css('display') == 'none') {
				utTransformHideSelect()
			}
			if ($select.attr('disabled')) {
				return false
			}
			$ul.slideToggle('fast', function () {
				var offSet = ($('a.selected', $ul).offset().top - $ul.offset().top);
				$ul.animate({
					scrollTop: offSet
				})
			});
			return false
		});
		$ul.css({
			display: 'block',
			visibility: 'hidden'
		});
		var iSelectHeight = ($('li', $ul).length) * ($('li:first', $ul).height());
		(iSelectHeight < $ul.height()) && $ul.css({
			height: iSelectHeight,
			'overflow': 'auto'
		});
		$ul.css({
			display: 'none',
			visibility: 'visible'
		})
	})
};
$.fn.filestyle = function () {
	var opts = $.extend({},
	$.fn.niceform.defaults);
	return this.each(function () {
		var $file = $(this);
		var fileW = $file.width();
		if ($file.hasClass('jqtranformdone')) {
			return
		}
		if ($file.attr('id') == 'id_file_add' && modid == 'mod-shop') {
			return
		}
		$file.addClass('jqtranformdone');
		var wrapper = $('<span class="fileinput"><span class="fileb" style="width:' + fileW + 'px;"></span></span>');
		var btnwrapper = $('<span class="filebtn"></span>');
		var filename = $('<input class="chs-file">').addClass($file.attr("class")).css({
			'width': fileW - opts.fileB - opts.inpC + 'px'
		});
		$file.wrap(wrapper).before('<img class="fileimg" src="' + homeurl + opts.niceFolder + opts.spacerImg + '" width="' + fileW + '" height="' + opts.inpH + '" /><img class="flinimg" src="' + homeurl + opts.niceFolder + opts.spacerImg + '" width="' + (fileW - opts.fileB) + '" height="' + opts.inpH + '" />');
		if ($file.is(":hidden")) {
			$file.closest('.fileinput').hide()
		}
		$file.hover(function () {
			$(this).closest('.filebtn').addClass('filehover')
		},
		function () {
			$(this).closest('.filebtn').removeClass('filehover')
		});
		$file.before(filename);
		$file.wrap(btnwrapper);
		$file.css({
			'opacity': '0.0'
		});
		$file.bind("change", function () {
			filename.val($file.val())
		})
	})
};
$.easing['jswing'] = $.easing['swing'];
$.extend($.easing, {
	def: 'easeOutTurbo',
	swing: function (x, t, b, c, d) {
		return $.easing[$.easing.def](x, t, b, c, d)
	},
	easeInTurbo: function (x, t, b, c, d) {
		return c * (t /= d) * t + b
	},
	easeOutTurbo: function (x, t, b, c, d) {
		return - c * (t /= d) * (t - 2) + b
	},
	easeInTurbo2: function (x, t, b, c, d) {
		return c * (t /= d) * t * t + b
	},
	easeOutTurbo2: function (x, t, b, c, d) {
		return c * ((t = t / d - 1) * t * t + 1) + b
	},
	easeInTurbo3: function (x, t, b, c, d) {
		return c * (t /= d) * t * t * t + b
	},
	easeOutTurbo3: function (x, t, b, c, d) {
		return - c * ((t = t / d - 1) * t * t * t - 1) + b
	},
	easeInSine: function (x, t, b, c, d) {
		return - c * Math.cos(t / d * (Math.PI / 2)) + c + b
	},
	easeOutSine: function (x, t, b, c, d) {
		return c * Math.sin(t / d * (Math.PI / 2)) + b
	},
	easeInExpo: function (x, t, b, c, d) {
		return (t == 0) ? b: c * Math.pow(2, 10 * (t / d - 1)) + b
	},
	easeOutExpo: function (x, t, b, c, d) {
		return (t == d) ? b + c: c * ( - Math.pow(2, -10 * t / d) + 1) + b
	},
	easeInCirc: function (x, t, b, c, d) {
		return - c * (Math.sqrt(1 - (t /= d) * t) - 1) + b
	},
	easeOutCirc: function (x, t, b, c, d) {
		return c * Math.sqrt(1 - (t = t / d - 1) * t) + b
	},
	easeInElastic: function (x, t, b, c, d) {
		var s = 1.70158;
		var p = 0;
		var a = c;
		if (t == 0) return b;
		if ((t /= d) == 1) return b + c;
		if (!p) p = d * .3;
		if (a < Math.abs(c)) {
			a = c;
			var s = p / 4
		} else var s = p / (2 * Math.PI) * Math.asin(c / a);
		return - (a * Math.pow(2, 10 * (t -= 1)) * Math.sin((t * d - s) * (2 * Math.PI) / p)) + b
	},
	easeOutElastic: function (x, t, b, c, d) {
		var s = 1.70158;
		var p = 0;
		var a = c;
		if (t == 0) return b;
		if ((t /= d) == 1) return b + c;
		if (!p) p = d * .3;
		if (a < Math.abs(c)) {
			a = c;
			var s = p / 4
		} else var s = p / (2 * Math.PI) * Math.asin(c / a);
		return a * Math.pow(2, -10 * t) * Math.sin((t * d - s) * (2 * Math.PI) / p) + c + b
	},
	easeInOvershoot: function (x, t, b, c, d, s) {
		if (s == undefined) s = 1.70158;
		return c * (t /= d) * t * ((s + 1) * t - s) + b
	},
	easeOutOvershoot: function (x, t, b, c, d, s) {
		if (s == undefined) s = 1.70158;
		return c * ((t = t / d - 1) * t * ((s + 1) * t + s) + 1) + b
	},
	easeInOvershootTurbo: function (x, t, b, c, d, s) {
		if (s == undefined) s = 1.70158;
		return c * (t /= d) * t * t * ((s + 1) * t - s) + b
	},
	easeOutOvershootTurbo: function (x, t, b, c, d, s) {
		if (s == undefined) s = 1.70158;
		return c * ((t = t / d - 1) * t * t * ((s + 1) * t + s) + 1) + b
	},
	easeInBounce: function (x, t, b, c, d) {
		return c - $.easing.easeOutBounce(x, d - t, 0, c, d) + b
	},
	easeOutBounce: function (x, t, b, c, d) {
		if ((t /= d) < (1 / 2.75)) {
			return c * (7.5625 * t * t) + b
		} else if (t < (2 / 2.75)) {
			return c * (7.5625 * (t -= (1.5 / 2.75)) * t + .75) + b
		} else if (t < (2.5 / 2.75)) {
			return c * (7.5625 * (t -= (2.25 / 2.75)) * t + .9375) + b
		} else {
			return c * (7.5625 * (t -= (2.625 / 2.75)) * t + .984375) + b
		}
	}
});
$.fn.sooperfish = function (op) {
	var sf = $.fn.sooperfish;
	sf.o = [];
	sf.op = {};
	sf.c = {
		menuClass: 'js-enabled',
		isParent: 'item-parent',
		arrowClass: 'item-arrow'
	};
	if ($.easing.easeOutTurbo) {
		sooperEasingShow = 'easeOutTurbo'
	} else {
		sooperEasingShow = 'linear'
	};
	if ($.easing.easeInTurbo) {
		sooperEasingHide = 'easeInTurbo'
	} else {
		sooperEasingHide = 'linear'
	};
	sf.defaults = {
		multiColumn: false,
		dualColumn: 8,
		tripleColumn: 12,
		hoverClass: 'item-hover',
		delay: 500,
		animationShow: {
			height: 'show',
			opacity: 'show'
		},
		speedShow: 300,
		easingShow: sooperEasingShow,
		animationHide: {
			height: 'hide',
			opacity: 'hide'
		},
		speedHide: 200,
		sooperfishWidth: 180,
		easingHide: sooperEasingHide,
		autoArrows: true,
		onShow: function () {},
		onHide: function () {}
	};
	var o = $.extend({},
	sf.defaults, op);
	if (!o.sooperfishWidth) {
		o.sooperfishWidth = $('ul:first li:first', this).width()
	} else {
		$('ul li', this).width(o.sooperfishWidth)
	}
	this.each(function () {
		var parentLi = $('li:has(ul)', this);
		parentLi.each(function () {
			if (o.autoArrows) {
				$('>a', this).append('<em class="' + sf.c.arrowClass + '">&raquo;</em>')
			}
			$(this).addClass(sf.c.isParent)
		});
		$('ul', this).css({
			left: 'auto',
			display: 'none'
		});
		if (o.multiColumn) {
			var uls = $('ul', this);
			uls.each(function () {
				var ulsize = $('>li:not(.backLava)', this).length;
				if (ulsize >= o.dualColumn) {
					if (ulsize >= o.tripleColumn) {
						$(this).width(3 * o.sooperfishWidth + 2).addClass('multicolumn triplecolumn');
						$('li:nth-child(3n)', this).addClass('noborder')
					} else {
						$(this).width(2 * o.sooperfishWidth + 1).addClass('multicolumn dualcolumn');
						$('li:nth-child(even)', this).addClass('noborder')
					}
				}
			})
		}
		var root = this,
		zIndex = 1000;
		function getSubmenu(ele) {
			if (ele.nodeName.toLowerCase() == 'li') {
				var submenu = $('> ul', ele);
				return submenu.length ? submenu[0] : null
			} else {
				return ele
			}
		}
		function getActuator(ele) {
			if (ele.nodeName.toLowerCase() == 'ul') {
				return $(ele).parents('li')[0]
			} else {
				return ele
			}
		}
		function hideSooperfishUl() {
			var submenu = getSubmenu(this);
			var $class = $(this);
			var $hidespan = $('span.lspan', this);
			var $hideline = $('span.menu-line', this);
			if (!submenu) return;
			$.data(submenu, 'cancelHide', false);
			setTimeout(function () {
				if (!$.data(submenu, 'cancelHide')) {
					$(submenu).animate(o.animationHide, o.speedHide, o.easingHide, function () {
						o.onHide.call(submenu)
					});
					$class.removeClass(o.hoverClass);
					if (!$('a', $class).hasClass('current-item')) {
						$hidespan.stop().animate({
							bottom: '-40px'
						},
						200);
						$hideline.stop().animate({
							opacity: 0
						},
						200)
					}
				}
			},
			o.delay)
		}
		function showSooperfishUl() {
			var submenu = getSubmenu(this);
			if (!submenu) return;
			$.data(submenu, 'cancelHide', true);
			$(submenu).css({
				zIndex: zIndex++
			}).animate(o.animationShow, o.speedShow, o.easingShow, function () {
				o.onShow.call(submenu)
			});
			if (this.nodeName.toLowerCase() == 'ul') {
				var li = getActuator(this);
				$(li).addClass('hover');
				$('> a', li).addClass('hover')
			}
			$(this).addClass(o.hoverClass)
		}
		$('li', this).unbind().hover(showSooperfishUl, hideSooperfishUl)
	})
};
$('head').append('<style type="text/css">ul.ut-menu,ul.ut-menu * {margin:0;padding:0;}ul.ut-menu {display:block;position:relative;margin:0;padding:0;list-style:none;}ul.ut-menu li {display:block;list-style:none;float:left;position:relative;}ul.ut-menu li:hover {visibility:inherit;}ul.ut-menu a {display:block;position:relative;}ul.ut-menu ul {position:absolute;left:0;width:180px;top:auto;left:-999999px;}ul.ut-menu ul a {zoom:1;}ul.ut-menu ul li {float:left;}ul.ut-menu ul ul {top:0;margin:0 0 0 180px;}ul.ut-menu li:hover ul,ul.ut-menu li:focus ul,ul.ut-menu li.item-hover ul {left:auto;}ul.ut-menu li:hover ul ul,ul.ut-menu li:focus ul ul,ul.ut-menu li.item-hover ul ul {left:-999999px;}ul.ut-menu ul li:hover ul,ul.ut-menu ul li:focus ul,ul.ut-menu ul li.item-hover ul {left:auto;}ul.ut-menu ul li:hover ul ul,ul.ut-menu ul li:focus ul ul,ul.ut-menu ul li.item-hover ul ul {left:-999999px;}ul.ut-menu ul ul li:hover ul,ul.ut-menu ul ul li:focus ul,ul.ut-menu ul ul li.item-hover ul {left:auto;}ul.ut-menu ul ul li:hover ul ul,ul.ut-menu ul ul li:focus ul ul,ul.ut-menu ul ul li.item-hover ul ul {left:-999999px;}ul.ut-menu ul ul ul li:hover ul,ul.ut-menu ul ul ul li:focus ul,ul.ut-menu ul ul ul li.item-hover ul {left:auto;}ul.ut-menu ul ul ul li:hover ul ul,ul.ut-menu ul ul ul li:focus ul ul,ul.ut-menu ul ul ul li.item-hover ul ul {left:-999999px;}ul.ut-menu li.item-parent a {padding-right:18px;}ul.ut-menu li a .item-arrow {right:5px;top:10px;width:10px;height:10px;position:absolute;display:block;overflow:hidden;text-indent:-10000px;background:url(' + homeurl + imgPath + 'arrows.png) no-repeat 0 -100px;}ul.ut-menu li a:hover .item-arrow,ul.ut-menu li.item-hover a .item-arrow,ul.ut-menu li a.current-item .item-arrow{background-position:-10px bottom;}ul.ut-menu ul li a .item-arrow,ul.ut-menu li.item-hover ul a .item-arrow,ul.ut-vmenu li a .item-arrow {background-position:0 0;}ul.ut-menu ul li a:hover .item-arrow,ul.ut-menu li li.item-hover a .item-arrow,ul.ut-menu ul li a.current-item,ul.ut-vmenu li a:hover .item-arrow,ul.ut-vmenu li.item-hover a .item-arrow,ul.ut-vmenu li a.current-item .item-arrow .item-arrow{background-position:-10px 0;}ul.ut-vmenu ul{top:0;}ul.ut-vmenu li{float:none;}ul.ut-vmenu li li{float:left;padding:0;}.multicolumn > li {border-right:1px solid #000;}.multicolumn > li.noborder {border-right:none!important;}</style>');
$.fn.ucleaner = function (mtype) {
	$('div:first', this).removeAttr('id').removeAttr('class').removeAttr('style');
	$('ul:first', this).removeAttr('class').addClass('ut-menu');
	if (mtype == 1) {
		$('ul:first', this).addClass('ut-vmenu')
	};
	return $('div', this).each(function () {
		$(this).replaceWith(this.childNodes)
	}).end()
};
function $ulight(parent, url, hlclass) {
	var ls = $(parent).find("a").get(),
	o = null,
	l = 0;
	for (var j in ls) {
		if (ls[j].href && url.indexOf(ls[j].href) >= 0) {
			if (!o || l < ls[j].href.length) {
				o = ls[j];
				l = ls[j].href.length
			}
		}
	}
	if (o) $(o).addClass(hlclass)
}
$('#catmenu').ucleaner([0]);
$('.sidebox .uMenuRoot').parent().parent().ucleaner([1]);
$ulight($('ul.ut-menu')[0], document.location.href + '/', 'current-item');
var rotateLeft = function (lValue, iShiftBits) {
	return (lValue << iShiftBits) | (lValue >>> (32 - iShiftBits))
};
var addUnsigned = function (lX, lY) {
	var lX4, lY4, lX8, lY8, lResult;
	lX8 = (lX & 0x80000000);
	lY8 = (lY & 0x80000000);
	lX4 = (lX & 0x40000000);
	lY4 = (lY & 0x40000000);
	lResult = (lX & 0x3FFFFFFF) + (lY & 0x3FFFFFFF);
	if (lX4 & lY4) return (lResult ^ 0x80000000 ^ lX8 ^ lY8);
	if (lX4 | lY4) {
		if (lResult & 0x40000000) return (lResult ^ 0xC0000000 ^ lX8 ^ lY8);
		else return (lResult ^ 0x40000000 ^ lX8 ^ lY8)
	} else {
		return (lResult ^ lX8 ^ lY8)
	}
};
var F = function (x, y, z) {
	return (x & y) | ((~x) & z)
};
var G = function (x, y, z) {
	return (x & z) | (y & (~z))
};
var H = function (x, y, z) {
	return (x ^ y ^ z)
};
var I = function (x, y, z) {
	return (y ^ (x | (~z)))
};
var FF = function (a, b, c, d, x, s, ac) {
	a = addUnsigned(a, addUnsigned(addUnsigned(F(b, c, d), x), ac));
	return addUnsigned(rotateLeft(a, s), b)
};
var GG = function (a, b, c, d, x, s, ac) {
	a = addUnsigned(a, addUnsigned(addUnsigned(G(b, c, d), x), ac));
	return addUnsigned(rotateLeft(a, s), b)
};
var HH = function (a, b, c, d, x, s, ac) {
	a = addUnsigned(a, addUnsigned(addUnsigned(H(b, c, d), x), ac));
	return addUnsigned(rotateLeft(a, s), b)
};
var II = function (a, b, c, d, x, s, ac) {
	a = addUnsigned(a, addUnsigned(addUnsigned(I(b, c, d), x), ac));
	return addUnsigned(rotateLeft(a, s), b)
};
var convertToWordArray = function (string) {
	var lWordCount;
	var lMessageLength = string.length;
	var lNumberOfWordsTempOne = lMessageLength + 8;
	var lNumberOfWordsTempTwo = (lNumberOfWordsTempOne - (lNumberOfWordsTempOne % 64)) / 64;
	var lNumberOfWords = (lNumberOfWordsTempTwo + 1) * 16;
	var lWordArray = Array(lNumberOfWords - 1);
	var lBytePosition = 0;
	var lByteCount = 0;
	while (lByteCount < lMessageLength) {
		lWordCount = (lByteCount - (lByteCount % 4)) / 4;
		lBytePosition = (lByteCount % 4) * 8;
		lWordArray[lWordCount] = (lWordArray[lWordCount] | (string.charCodeAt(lByteCount) << lBytePosition));
		lByteCount++
	}
	lWordCount = (lByteCount - (lByteCount % 4)) / 4;
	lBytePosition = (lByteCount % 4) * 8;
	lWordArray[lWordCount] = lWordArray[lWordCount] | (0x80 << lBytePosition);
	lWordArray[lNumberOfWords - 2] = lMessageLength << 3;
	lWordArray[lNumberOfWords - 1] = lMessageLength >>> 29;
	return lWordArray
};
var wordToHex = function (lValue) {
	var WordToHexValue = "",
	WordToHexValueTemp = "",
	lByte, lCount;
	for (lCount = 0; lCount <= 3; lCount++) {
		lByte = (lValue >>> (lCount * 8)) & 255;
		WordToHexValueTemp = "0" + lByte.toString(16);
		WordToHexValue = WordToHexValue + WordToHexValueTemp.substr(WordToHexValueTemp.length - 2, 2)
	}
	return WordToHexValue
};
var uTF8Encode = function (string) {
	string = string.replace(/\x0d\x0a/g, "\x0a");
	var output = "";
	for (var n = 0; n < string.length; n++) {
		var c = string.charCodeAt(n);
		if (c < 128) {
			output += String.fromCharCode(c)
		} else if ((c > 127) && (c < 2048)) {
			output += String.fromCharCode((c >> 6) | 192);
			output += String.fromCharCode((c & 63) | 128)
		} else {
			output += String.fromCharCode((c >> 12) | 224);
			output += String.fromCharCode(((c >> 6) & 63) | 128);
			output += String.fromCharCode((c & 63) | 128)
		}
	}
	return output
};
$.extend({
	md5: function (string) {
		var x = Array();
		var k, AA, BB, CC, DD, a, b, c, d;
		var S11 = 7,
		S12 = 12,
		S13 = 17,
		S14 = 22;
		var S21 = 5,
		S22 = 9,
		S23 = 14,
		S24 = 20;
		var S31 = 4,
		S32 = 11,
		S33 = 16,
		S34 = 23;
		var S41 = 6,
		S42 = 10,
		S43 = 15,
		S44 = 21;
		string = uTF8Encode(string);
		x = convertToWordArray(string);
		a = 0x67452301;
		b = 0xEFCDAB89;
		c = 0x98BADCFE;
		d = 0x10325476;
		for (k = 0; k < x.length; k += 16) {
			AA = a;
			BB = b;
			CC = c;
			DD = d;
			a = FF(a, b, c, d, x[k + 0], S11, 0xD76AA478);
			d = FF(d, a, b, c, x[k + 1], S12, 0xE8C7B756);
			c = FF(c, d, a, b, x[k + 2], S13, 0x242070DB);
			b = FF(b, c, d, a, x[k + 3], S14, 0xC1BDCEEE);
			a = FF(a, b, c, d, x[k + 4], S11, 0xF57C0FAF);
			d = FF(d, a, b, c, x[k + 5], S12, 0x4787C62A);
			c = FF(c, d, a, b, x[k + 6], S13, 0xA8304613);
			b = FF(b, c, d, a, x[k + 7], S14, 0xFD469501);
			a = FF(a, b, c, d, x[k + 8], S11, 0x698098D8);
			d = FF(d, a, b, c, x[k + 9], S12, 0x8B44F7AF);
			c = FF(c, d, a, b, x[k + 10], S13, 0xFFFF5BB1);
			b = FF(b, c, d, a, x[k + 11], S14, 0x895CD7BE);
			a = FF(a, b, c, d, x[k + 12], S11, 0x6B901122);
			d = FF(d, a, b, c, x[k + 13], S12, 0xFD987193);
			c = FF(c, d, a, b, x[k + 14], S13, 0xA679438E);
			b = FF(b, c, d, a, x[k + 15], S14, 0x49B40821);
			a = GG(a, b, c, d, x[k + 1], S21, 0xF61E2562);
			d = GG(d, a, b, c, x[k + 6], S22, 0xC040B340);
			c = GG(c, d, a, b, x[k + 11], S23, 0x265E5A51);
			b = GG(b, c, d, a, x[k + 0], S24, 0xE9B6C7AA);
			a = GG(a, b, c, d, x[k + 5], S21, 0xD62F105D);
			d = GG(d, a, b, c, x[k + 10], S22, 0x2441453);
			c = GG(c, d, a, b, x[k + 15], S23, 0xD8A1E681);
			b = GG(b, c, d, a, x[k + 4], S24, 0xE7D3FBC8);
			a = GG(a, b, c, d, x[k + 9], S21, 0x21E1CDE6);
			d = GG(d, a, b, c, x[k + 14], S22, 0xC33707D6);
			c = GG(c, d, a, b, x[k + 3], S23, 0xF4D50D87);
			b = GG(b, c, d, a, x[k + 8], S24, 0x455A14ED);
			a = GG(a, b, c, d, x[k + 13], S21, 0xA9E3E905);
			d = GG(d, a, b, c, x[k + 2], S22, 0xFCEFA3F8);
			c = GG(c, d, a, b, x[k + 7], S23, 0x676F02D9);
			b = GG(b, c, d, a, x[k + 12], S24, 0x8D2A4C8A);
			a = HH(a, b, c, d, x[k + 5], S31, 0xFFFA3942);
			d = HH(d, a, b, c, x[k + 8], S32, 0x8771F681);
			c = HH(c, d, a, b, x[k + 11], S33, 0x6D9D6122);
			b = HH(b, c, d, a, x[k + 14], S34, 0xFDE5380C);
			a = HH(a, b, c, d, x[k + 1], S31, 0xA4BEEA44);
			d = HH(d, a, b, c, x[k + 4], S32, 0x4BDECFA9);
			c = HH(c, d, a, b, x[k + 7], S33, 0xF6BB4B60);
			b = HH(b, c, d, a, x[k + 10], S34, 0xBEBFBC70);
			a = HH(a, b, c, d, x[k + 13], S31, 0x289B7EC6);
			d = HH(d, a, b, c, x[k + 0], S32, 0xEAA127FA);
			c = HH(c, d, a, b, x[k + 3], S33, 0xD4EF3085);
			b = HH(b, c, d, a, x[k + 6], S34, 0x4881D05);
			a = HH(a, b, c, d, x[k + 9], S31, 0xD9D4D039);
			d = HH(d, a, b, c, x[k + 12], S32, 0xE6DB99E5);
			c = HH(c, d, a, b, x[k + 15], S33, 0x1FA27CF8);
			b = HH(b, c, d, a, x[k + 2], S34, 0xC4AC5665);
			a = II(a, b, c, d, x[k + 0], S41, 0xF4292244);
			d = II(d, a, b, c, x[k + 7], S42, 0x432AFF97);
			c = II(c, d, a, b, x[k + 14], S43, 0xAB9423A7);
			b = II(b, c, d, a, x[k + 5], S44, 0xFC93A039);
			a = II(a, b, c, d, x[k + 12], S41, 0x655B59C3);
			d = II(d, a, b, c, x[k + 3], S42, 0x8F0CCC92);
			c = II(c, d, a, b, x[k + 10], S43, 0xFFEFF47D);
			b = II(b, c, d, a, x[k + 1], S44, 0x85845DD1);
			a = II(a, b, c, d, x[k + 8], S41, 0x6FA87E4F);
			d = II(d, a, b, c, x[k + 15], S42, 0xFE2CE6E0);
			c = II(c, d, a, b, x[k + 6], S43, 0xA3014314);
			b = II(b, c, d, a, x[k + 13], S44, 0x4E0811A1);
			a = II(a, b, c, d, x[k + 4], S41, 0xF7537E82);
			d = II(d, a, b, c, x[k + 11], S42, 0xBD3AF235);
			c = II(c, d, a, b, x[k + 2], S43, 0x2AD7D2BB);
			b = II(b, c, d, a, x[k + 9], S44, 0xEB86D391);
			a = addUnsigned(a, AA);
			b = addUnsigned(b, BB);
			c = addUnsigned(c, CC);
			d = addUnsigned(d, DD)
		}
		var tempValue = wordToHex(a) + wordToHex(b) + wordToHex(c) + wordToHex(d);
		return tempValue.toLowerCase()
	}
});
var keyString = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
var uTF8Encode = function (string) {
	string = string.replace(/\x0d\x0a/g, "\x0a");
	var output = "";
	for (var n = 0; n < string.length; n++) {
		var c = string.charCodeAt(n);
		if (c < 128) {
			output += String.fromCharCode(c)
		} else if ((c > 127) && (c < 2048)) {
			output += String.fromCharCode((c >> 6) | 192);
			output += String.fromCharCode((c & 63) | 128)
		} else {
			output += String.fromCharCode((c >> 12) | 224);
			output += String.fromCharCode(((c >> 6) & 63) | 128);
			output += String.fromCharCode((c & 63) | 128)
		}
	}
	return output
};
var uTF8Decode = function (input) {
	var string = "";
	var i = 0;
	var c = c1 = c2 = 0;
	while (i < input.length) {
		c = input.charCodeAt(i);
		if (c < 128) {
			string += String.fromCharCode(c);
			i++
		} else if ((c > 191) && (c < 224)) {
			c2 = input.charCodeAt(i + 1);
			string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
			i += 2
		} else {
			c2 = input.charCodeAt(i + 1);
			c3 = input.charCodeAt(i + 2);
			string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
			i += 3
		}
	}
	return string
};
$.extend({
	base64Encode: function (input) {
		var output = "";
		var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
		var i = 0;
		input = uTF8Encode(input);
		while (i < input.length) {
			chr1 = input.charCodeAt(i++);
			chr2 = input.charCodeAt(i++);
			chr3 = input.charCodeAt(i++);
			enc1 = chr1 >> 2;
			enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
			enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
			enc4 = chr3 & 63;
			if (isNaN(chr2)) {
				enc3 = enc4 = 64
			} else if (isNaN(chr3)) {
				enc4 = 64
			}
			output = output + keyString.charAt(enc1) + keyString.charAt(enc2) + keyString.charAt(enc3) + keyString.charAt(enc4)
		}
		return output
	},
	base64Decode: function (input) {
		var output = "";
		var chr1, chr2, chr3;
		var enc1, enc2, enc3, enc4;
		var i = 0;
		input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");
		while (i < input.length) {
			enc1 = keyString.indexOf(input.charAt(i++));
			enc2 = keyString.indexOf(input.charAt(i++));
			enc3 = keyString.indexOf(input.charAt(i++));
			enc4 = keyString.indexOf(input.charAt(i++));
			chr1 = (enc1 << 2) | (enc2 >> 4);
			chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
			chr3 = ((enc3 & 3) << 6) | enc4;
			output = output + String.fromCharCode(chr1);
			if (enc3 != 64) {
				output = output + String.fromCharCode(chr2)
			}
			if (enc4 != 64) {
				output = output + String.fromCharCode(chr3)
			}
		}
		output = uTF8Decode(output);
		return output
	}
});
$.extend({
	ranpass: function (length, special) {
		var iteration = 0;
		var ranpass = "";
		var randomNumber;
		if (length == undefined) {
			var length = 8
		}
		if (special == undefined) {
			var special = false
		}
		while (iteration < length) {
			randomNumber = (Math.floor((Math.random() * 100)) % 94) + 33;
			if (!special) {
				if ((randomNumber >= 33) && (randomNumber <= 96)) {
					continue
				}
				if ((randomNumber >= 123) && (randomNumber <= 126)) {
					continue
				}
			}
			iteration++;
			ranpass += String.fromCharCode(randomNumber)
		}
		return ranpass
	}
});
var $mwnd = $.ranpass(12);
var $wndd = $.ranpass(11);
var $ownd = $.ranpass(10);
var $iwnd = $.ranpass(9);
var $wndb = $.ranpass(8);
function $i(string, args, callback) {
	var default_args = {
		'confirm': false,
		'verify': false,
		'input': false,
		'animate': false
	};
	if (args) {
		for (var index in default_args) {
			if (typeof args[index] == "undefined") args[index] = default_args[index]
		}
	}
	var aHeight = $(document).height();
	var aWidth = $(document).width();
	$('body').append('<div class="' + $mwnd + '" id="' + $wndd + '"></div>');
	$('.' + $mwnd).css('height', aHeight).css('width', aWidth).fadeIn(100);
	$('body').append('<div class="' + $ownd + '"></div>');
	$('.' + $ownd).append('<div class="' + $iwnd + '"></div>');
	$('.' + $iwnd).append(string);
	$('.' + $ownd).css("left", ($(window).width() - $('.' + $ownd).width()) / 2 + $(window).scrollLeft() + "px");
	if (args) {
		if (args['animate']) {
			var aniSpeed = args['animate'];
			if (isNaN(aniSpeed)) {
				aniSpeed = 400
			}
			$('.' + $ownd).css('top', '-200px').show().animate({
				top: "45%"
			},
			aniSpeed)
		} else {
			$('.' + $ownd).css('top', '45%').fadeIn(200)
		}
	} else {
		$('.' + $ownd).css('top', '45%').fadeIn(200)
	}
	if (args) {
		if (args['input']) {
			$('.' + $iwnd).append('<div class="aInput"><input type="text" class="aTextbox" t="aTextbox" /></div>');
			$('.aTextbox').focus()
		}
	}
	$('.' + $iwnd).append('<div class="' + $wndb + '"></div>');
	if (args) {
		if (args['confirm'] || args['input']) {
			$('.' + $wndb).append('<button value="ok">Ok</button>');
			$('.' + $wndb).append('<button value="cancel">Cancel</button>')
		} else if (args['verify']) {
			$('.' + $wndb).append('<button value="ok">Yes</button>');
			$('.' + $wndb).append('<button value="cancel">No</button>')
		} else {
			$('.' + $wndb).append('<button value="ok">Ok</button>')
		}
	} else {
		$('.' + $wndb).append('<button value="ok">Ok</button>')
	}
	$(document).keypress(function (e) {
		if ($('.' + $mwnd).is(':visible')) {
			if (e.keyCode == 13) {
				$('.' + $wndb + ' > button[value="ok"]').click()
			}
		}
	});
	var aText = false;
	$('.aTextbox').keyup(function () {
		aText = $(this).val()
	});
	$('.' + $wndb + ' > button').click(function () {
		$('.' + $mwnd).remove();
		$('.' + $ownd).remove();
		if (callback) {
			var wButton = $(this).attr("value");
			if (wButton == 'ok') {
				if (args) {
					if (args['input']) {
						callback(aText)
					} else {
						callback(true)
					}
				} else {
					callback(true)
				}
			} else if (wButton == 'cancel') {
				callback(false)
			}
		}
	})
}
$('head').append('<style type="text/css">.' + $mwnd + '{position:fixed;top:0;left:0;background:rgba(0,0,0,0.3);display:none;z-index:900;}.' + $ownd + '{background:#eee;border:1px solid #fff;box-shadow:0 3px 7px #333;-moz-box-shadow:0 3px 7px #333;-webkit-box-shadow:0 3px 7px #333;-moz-border-radius:4px;-webkit-border-radius:4px;border-radius:4px;-khtml-border-radius:4px;z-index:99999999;min-width:200px;min-height:50px;max-width:75%;position:fixed;display:none;}.' + $iwnd + '{color:#333;text-shadow:0 1px 0 #fff;padding:20px;text-align:center;}.' + $iwnd + ' button{border:1px solid #bbb;-moz-border-radius:3px;-webkit-border-radius:3px;border-radius:3px;-khtml-border-radius:3px;background:0;color:#232d3d;font-size:12px;font-weight:700;text-shadow:0 1px 0 #fff;cursor:pointer;box-shadow:0 1px 2px #ccc;-moz-box-shadow:0 1px 2px #ccc;-webkit-box-shadow:0 1px 2px #ccc;margin:0 3px;padding:4px 10px;}.utInner button:hover{color:#d85054;}.' + $wndb + ',.aInput{text-align:center;margin:20px 10px 0;}.aTextbox{border:1px solid #aaa;-moz-border-radius:4px;-webkit-border-radius:4px;border-radius:4px;-khtml-border-radius:4px;box-shadow:0 1px 0 #fff;-moz-box-shadow:0 1px 0 #fff;-webkit-box-shadow:0 1px 0 #fff;width:180px;font-size:12px;font-weight:700;padding:5px 10px;}</style>');
$mess = '0J3QsNGA0YPRiNC10L3RiyDRg9GB0LvQvtCy0LjRjyDQuNGB0L/QvtC70YzQt9C+0LLQsNC90LjRjyDRiNCw0LHQu9C+0L3QsCE8YnIgLz7Qn9C+INCy0YHQtdC8INCy0L7Qv9GA0L7RgdCw0Lwg0L7QsdGA0LDRidCw0LnRgtC10YHRjCDQv9C+INCw0LTRgNC10YHRgzo8YnIgLz48Yj5zdXBwb3J0QHV0aGVtZXMucnU8L2I+';
function templateInit() {
	$('#search .schBtn input').css('opacity', 0.5);
	$('#search .schBtn input').hover(function () {
		$(this).animate({
			'opacity': 1
		},
		300)
	},
	function () {
		$(this).animate({
			'opacity': 0.5
		},
		300)
	});
	$('ul.ut-menu').sooperfish();
	$(function () {
		$('.date-dt,.date-tm').html();
		var options1 = {
			format: '%d.%m.%Y'
		};
		var options2 = {
			format: '%H:%M:%S'
		};
		$('.date-dt').jclock(options1);
		$('.date-tm').jclock(options2)
	})
};;

	templateInit()

if (urlid == 'page-register') {
	var $blockdiv = $('#uNetRegF').find('div').each(function () {
		var $divstyle = $(this).attr('style');
		if ($divstyle == 'font-size:7pt') {
			$(this).addClass('blockdiv')
		}
	});
	$('input').each(function () {
		var $inname = $(this).attr('name');
		if ($inname == 'avatar' || $inname == 'avau') {
			$(this).addClass('input-' + $inname)
		}
	});
	var $avatar = $('.input-avatar');
	var $avau = $('.input-avau');
	if ($avatar.hasClass('jqtranformdone') && $avau.hasClass('jqtranformdone')) {
		var $avatarwrap = $avatar.closest('.uttiw');
		var $avauwrap = $avau.closest('.fileinput').hide();
		ava = function (z) {
			if (z == 1) {
				$avatar.attr('disabled', 'disabled');
				$avatar.hide();
				$avatarwrap.hide();
				$avau.show();
				$avauwrap.show();
				$avau.removeAttr('disabled');
				$('#ava1').html('GIF, JPEG')
			} else {
				$avau.attr('disabled', 'disabled');
				$avau.hide();
				$avauwrap.hide();
				$avatar.show();
				$avatarwrap.show();
				$avatar.removeAttr('disabled');
				$('#ava1').html('(www адрес)');
				window.open(homeurl + 'index/7', 'Avatars', 'top=0,left=0,width=700,height=550')
			}
		};
		avaCh = function (y) {
			if (y == 1) {
				$avatar.attr('disabled', 'disabled');
				$avatar.hide();
				$avatarwrap.hide();
				$avau.show();
				$avauwrap.show();
				$avau.removeAttr('disabled');
				$('#ava1').html('GIF, JPEG')
			} else {
				$avau.attr('disabled', 'disabled');
				$avau.hide();
				$avauwrap.hide();
				$avatar.show();
				$avatarwrap.show();
				$avatar.removeAttr('disabled');
				$('#ava1').html('(www адрес)');
				window.open(homeurl + 'index/7', 'Avatars', 'top=0,left=0,width=700,height=550')
			}
		}
	}
};
if (urlid == 'page-add' || urlid == 'page-edit' || urlid == 'page-addthread' || urlid == 'page-addpoll' || urlid == 'page-postedit' || urlid == 'page-threadpage') {
	if ($('#fln1').hasClass('jqtranformdone')) {
		addImgF = function () {
			var num = parseInt($('#numi').attr('value'));
			if (num < 30) {
				if (num < 1) {
					num += 2
				} else {
					num += 1
				}
				var nnum = num - 1;
				$('#imblock' + nnum).html('<div style="clear:both;padding:0 0 2px 0;"></div><span style="padding-right:7px;">[' + num + ']</span><input type="file" id="fln' + num + '" name="file' + num + '" size="20" onchange="getimage(' + num + ');"><span id="iCode' + num + '"></span><div id="imblock' + num + '"></div>');
				document.getElementById('numi').value = num;
				$('#fln' + num).filestyle()
			}
			if (num >= 30) {
				$('#iplus').html('<span style="padding-right:7px;">[1]</span>')
			}
		};
		getimage = function (n) {
			var t = document.getElementById('fln' + n);
			if (t.value) {
				ext = new Array('png', 'jpg', 'gif', 'jpeg', 'jpe');
				var img = t.value.replace(/\\/g, '/');
				var pic = img.toLowerCase();
				var ok = 0;
				for (x = 0; x < ext.length; x++) {
					m = pic.indexOf('.' + ext[x]);
					if (m != -1) {
						ok = 1;
						break
					}
				}
				if (ok == 1) {
					var code = '$IMAGE' + n + '$';
					$('#iCode' + n).html('&nbsp;<input type="text" readonly onClick="select(this)" name="h1" value="' + code + '" title="Вставьте этот код в любое место сообщения" size="' + (code.length) + '" class="img-code">&nbsp;&nbsp;&nbsp;<input class="img-size" type="text" name="iws' + n + '" value="600" size="4" maxlength="4" title="Width">&nbsp;x&nbsp;<input class="img-size" type="text" name="ihs' + n + '" value="600" size="4" maxlength="4" title="Height">')
				} else {
					$('#iCode' + n).html();
					if (urlid == 'page-addthread' || urlid == 'page-addpoll' || urlid == 'page-postedit' || urlid == 'page-threadpage') {} else {
						_uWnd.alert('Недопустимый формат изображения', '', {
							w: 230,
							h: 80,
							tm: 3000
						})
					}
				}
			} else {
				$('#iCode' + n).html()
			}
		}
	};
	var $phu = $('#photo1');
	var $phl = $('#uphoto1');
	if ($phu.hasClass('jqtranformdone') && $phl.hasClass('jqtranformdone')) {
		$phl.show().closest('.uttiw').hide().after('<div style="clear:both;"></div>');
		chtype = function (f, i) {
			if (!i) {
				i = ''
			}
			if (f == 1) {
				$('#tp1' + i).removeAttr('class').addClass('noclass');
				$('#tp2' + i).removeAttr('class').addClass('noun');
				$('#photo' + i).attr('disabled', 'disabled');
				$('#photo' + i).closest('.fileinput').hide();
				$('#uphoto' + i).removeAttr('disabled');
				$('#uphoto' + i).closest('.uttiw').show().addClass('uttiw-hid');
				$('#pTxt' + i).html('Укажите полную ссылку на файл.')
			} else {
				$('#tp1' + i).removeAttr('class').addClass('noun');
				$('#tp2' + i).removeAttr('class').addClass('noclass');
				$('#photo' + i).removeAttr('disabled');
				$('#photo' + i).closest('.fileinput').show();
				$('#uphoto' + i).attr('disabled', 'disabled');
				$('#uphoto' + i).closest('.uttiw').hide().removeClass('uttiw-hid');
				$('#pTxt' + i).html('Выберите файл на компьютере.')
			}
		};
		$('#newPhtBt').click(function () {
			$('#uphoto2,#uphoto3,#uphoto4,#uphoto5,#uphoto6,#uphoto7,#uphoto8,#uphoto9,#uphoto10').show();
			$('#addPhtFrm input:submit,#addPhtFrm input:reset,#addPhtFrm input:button,#addPhtFrm button').each(function () {
				if (!$(this).hasClass('uttb')) {
					$(this).jqTransInputButton()
				}
			});
			$('#addPhtFrm input:file').each(function () {
				if (!$(this).hasClass('jqtranformdone')) {
					$(this).filestyle()
				}
			});
			$('#addPhtFrm input:text,#addPhtFrm input:password').each(function () {
				if (!$(this).hasClass('jqtranformdone')) {
					$(this).jqTransInputText()
				}
			});
			$('#addPhtFrm textarea').each(function () {
				if (!$(this).hasClass('jqtranformdone')) {
					$(this).jqTransTextarea()
				}
			});
			if (!$('#uphoto2').closest('.uttiw').hasClass('uttiw-hid')) {
				$('#uphoto2').closest('.uttiw').hide()
			};
			if (!$('#uphoto3').closest('.uttiw').hasClass('uttiw-hid')) {
				$('#uphoto3').closest('.uttiw').hide()
			};
			if (!$('#uphoto4').closest('.uttiw').hasClass('uttiw-hid')) {
				$('#uphoto4').closest('.uttiw').hide()
			};
			if (!$('#uphoto5').closest('.uttiw').hasClass('uttiw-hid')) {
				$('#uphoto5').closest('.uttiw').hide()
			};
			if (!$('#uphoto6').closest('.uttiw').hasClass('uttiw-hid')) {
				$('#uphoto6').closest('.uttiw').hide()
			};
			if (!$('#uphoto7').closest('.uttiw').hasClass('uttiw-hid')) {
				$('#uphoto7').closest('.uttiw').hide()
			};
			if (!$('#uphoto8').closest('.uttiw').hasClass('uttiw-hid')) {
				$('#uphoto8').closest('.uttiw').hide()
			};
			if (!$('#uphoto9').closest('.uttiw').hasClass('uttiw-hid')) {
				$('#uphoto9').closest('.uttiw').hide()
			};
			if (!$('#uphoto10').closest('.uttiw').hasClass('uttiw-hid')) {
				$('#uphoto10').closest('.uttiw').hide()
			}
		})
	};
	$("form").find('input').each(function () {
		var $zip = $(this).attr('name');
		if ($zip == 'zip') {
			$(this).attr('id', 'input-zip')
		}
		if ($zip == 'uzip') {
			$(this).attr('id', 'input-uzip')
		}
		var $inzip = $('#input-zip');
		var $inuzip = $('#input-uzip');
		$('#uzf').hide();
		if ($inzip.hasClass('jqtranformdone') && $inuzip.hasClass('jqtranformdone')) {
			chtype = function (f) {
				if (f == 1) {
					$('#tp1').removeAttr('class').addClass('noclass');
					$('#tp2').removeAttr('class').addClass('noun');
					$inzip.attr('disabled', 'disabled');
					$inzip.closest('.fileinput').hide();
					$inuzip.removeAttr('disabled');
					$inuzip.closest('.uttiw').show();
					$('#uzf').show();
					$('#pZipTxt').html('Выберите архив, загруженный на сервер.')
				} else {
					$('#tp1').removeAttr('class').addClass('noun');
					$('#tp2').removeAttr('class').addClass('noclass');
					$inzip.removeAttr('disabled');
					$inzip.closest('.fileinput').show();
					$inuzip.attr('disabled', 'disabled');
					$inuzip.closest('.uttiw').hide();
					$('#uzf').hide();
					$('#pZipTxt').html('Максимальный размер <b>40Mb</b>.')
				}
			}
		}
	});
	var blck = $('.editImgBlock');
	var $array = Array('1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '25', '26', '27', '28', '29', '30');
	if ($('#fln' + $array).hasClass('jqtranformdone')) {
		$('#imblock' + $array).css({
			"clear": "both",
			"padding-top": "2px"
		});
		for (w = 0; w <= blck.length; w++) {
			$('a', blck).eq(w).click(function () {
				$(this).parent().next('.fileinput').show()
			})
		}
	}
};
if (urlid == 'page-add' || urlid == 'page-edit') {
	var s = document.getElementsByTagName("script"),
	i;
	for (i = 0; i < s.length; i++) if (s[i].src.match(/(^|\/)innovaeditor.js(\?|$)/)) {
		$('textarea.manFl').closest('.uttexw').hide();
		break
	}
	$('#iwe_btnSubmitoEditmessage,#iwe_btnSubmitoEditbrief,#iwe_btnSubmitoEditdscr,#tb_gtype_1,#tb_gtype_2').hide()
};
$('input#order-button,input#print-button,#cont-shop-invoices input:button').jqTransInputButton();
$('#cont-shop-invoices input:text').jqTransInputText();
if ($('#cont-shop-invoices select').jqTransSelect().length > 0) {
	utTransformAddDocumentListener()
};
$('#search .schQuery input').bind('click', function () {
	if ($(this).val() == 'Поиск по сайту...') {
		$(this).val('');
	}
});
$('#search .schQuery input').bind('blur', function () {
	if ($(this).val() == '') {
		$(this).val('Поиск по сайту...');
	}
});